#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-otp

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=src:docs/ext python3 -m sphinx -b html -d docs/.build/.doctrees -N docs/source docs/.build/html

execute_before_dh_auto_build:
	set -e; \
	for loc in src/django_otp/locale/*; do \
		python3 -m babel.messages.frontend compile --directory=src/django_otp/locale/ --locale=$$(basename $$loc) --domain=django; \
	done

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args="cd {build_dir}; {interpreter} -m django test --settings=test_project.settings django_otp"
endif

override_dh_clean:
	rm -rf docs/.build
	dh_clean
